Bug 40252 - In SqlCommand class StatementCompleted never fired.
Summary: In SqlCommand class StatementCompleted never fired.
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 4.2.0 (C6)
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-04-09 07:33 UTC by CMaker
Modified: 2018-02-22 22:23 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description CMaker 2016-04-09 07:33:10 UTC
The same code (see below) execution on the .NET platform and Mono the different.
(On mono the event StatementCompleted don't raised)  

 using (SqlConnection conn = new SqlConnection(connString))
            {
                var cmdText = @"
                            SET NOCOUNT OFF;
                            SELECT * FROM INFORMATION_SCHEMA.COLUMNS;
                            ";
                using (SqlCommand cmd = new SqlCommand(cmdText, conn))
                {
                    cmd.StatementCompleted += (s, e) => { Console.WriteLine("Statement completed"); };
                    conn.Open();
                    cmd.ExecuteNonQuery();
                }
            }
            Console.ReadKey();
Comment 1 Marek Safar 2018-02-22 22:23:49 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.